### Class

# Foundry LlmCompletionChunk

#### Description

    abstract class Foundry.LlmCompletionChunk : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_llm_completion_chunk_dup_text

No description available.

###### foundry_llm_completion_chunk_is_done

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.LlmCompletionChunk:is-done

No description available.

###### Foundry.LlmCompletionChunk:text

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryLlmCompletionChunkClass {
      GObjectClass parent_class;
      char* (* dup_text) (
        FoundryLlmCompletionChunk* self
      );
      gboolean (* is_done) (
        FoundryLlmCompletionChunk* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_text: char* (* dup_text) ( FoundryLlmCompletionChunk* self )`

  No description available.

`is_done: gboolean (* is_done) ( FoundryLlmCompletionChunk* self )`

  No description available.

#### Virtual methods

###### Foundry.LlmCompletionChunkClass.dup_text

No description available.

###### Foundry.LlmCompletionChunkClass.is_done

No description available.